/*******************************************************************************
* File Name: LCD_Display_PM.c
* Version 1.50
*
* Description:
*  This file provides the API source code for the Static Segment LCD component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "LCD_Display.h"


void LCD_Display_SaveConfig(void) ;
void LCD_Display_RestoreConfig(void) ;
extern void LCD_Display_Enable(void);

static LCD_Display_BACKUP_STRUCT LCD_Display_backup;

extern uint8 LCD_Display_enableState;


/*******************************************************************************
* Function Name: LCD_Display_SaveConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_Display_SaveConfig(void)
{
}


/*******************************************************************************
* Function Name: LCD_Display_RestoreConfig
********************************************************************************
*
* Summary:
*  Does nothing, provided for consistency.
*  
* Parameters:
*  None.
*
* Return:
*  None.
*
*******************************************************************************/
void LCD_Display_RestoreConfig(void) 
{
}


/*******************************************************************************
* Function Name: LCD_Display_Sleep
********************************************************************************
*
* Summary:
*  Prepares component for entering the sleep mode.
*
* Parameters:
*  None.
*
* Return:
*  None.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_Display_Sleep(void)
{
    LCD_Display_backup.enableState = LCD_Display_enableState;
    LCD_Display_SaveConfig();
    LCD_Display_Stop();
}


/*******************************************************************************
* Function Name: LCD_Display_Wakeup
********************************************************************************
*
* Summary:
*  Wakes component from sleep mode. Configures DMA and enables the component for
*  normal operation.
*
* Parameters:
*  LCD_Display_enableState - Global variable.
*
* Return:
*  Status one of standard status for PSoC3 Component
*       CYRET_SUCCESS - Function completed successfully.
*       CYRET_LOCKED - The object was locked, already in use. Some of TDs or
*                      a channel already in use.
*
* Reentrant:
*  No.
*
*******************************************************************************/
void LCD_Display_Wakeup(void)
{
    LCD_Display_RestoreConfig();
    
    if(LCD_Display_backup.enableState == 1u)
    {
        LCD_Display_Enable();
    }
}


/* [] END OF FILE */
